#ifndef __PANIC_H_
#define __PANIC_H_

/* Something went wrong!  Exit with an error */
#define panic(m) \
{\
   disable_interrupts();\
   fprintf(stderr, "FATAL_ERROR (%s line %d): %s\n", __FILE__, __LINE__, m);\
   exit(-1);\
}

#endif __PANIC_H_
